# Alpha

CORR, FNC, and MMC are all imperfect metrics for paying Signals users. This is because users can be good at these scores, but backtest poorly. To better align the Numerai Signals tournament with the Numerai hedge fund, the performance of a submission must align with it's backtest performance.

The Numerai research team invented 2 pieces of data that provides a way to do this:

* Neutralizers Matrix: a 200-column condensed matrix used to produce a neutralize signal
* Sample Weights Vector: a weight vector used for sampling a signal to produce a set of stock weights that accounts for real-world trading constraints such as adv

Using these, we can create a set of "**neutralized weights**" from a signal as follows:

Given the following data:

* signal ***s*** (NaNs filled w/ 0.5)
* neutralization matrix ***N***
* weight vector ***v***

We first create normalized signal ***s’***:

```
s` = normalize(rank(s))^1.5
```

Then generate neutralize predictions and sample them:

```python
neutral_preds = s` - (N @ (N.T @ (v * s`)))
neutral_weights = neutral_preds * v
```

Finally, we use the 60D2L target `chili` to derive the final `alpha` value:

```python
alpha = neutral_weights @ target_chili_60
```

This value provides us some insight into how a signal might perform in a backtest and more closely aligns the Signals Tournament with the hedge fund.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.numer.ai/numerai-signals/scoring/alpha.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
